import {ItemGroup} from "./ItemGroup";
import {ItemGroupCharacteristic} from "./ItemgroupCharacteristic";

export class AbstractItemGroup extends ItemGroup {

  children: ItemGroup[] = [];

  addChildItemgroup(itemGroup: ItemGroup) {
    this.children.push(itemGroup)
    itemGroup.parentGroup = this;
  }

  protected addCharacteristicValue(characteristic: ItemGroupCharacteristic): void {
      //Do Nothing
  }


}
